----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    13:44:45 10/25/2011 
-- Design Name: 
-- Module Name:    sound_top - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity sound_top is
    Port ( clk : in  STD_LOGIC;
           audioL : out  STD_LOGIC;
           audioR : out  STD_LOGIC);
end sound_top;

architecture Behavioral of sound_top is

    COMPONENT PlayNote
    PORT(
         clk : IN  std_logic;
         note : IN  integer;
         audio : OUT  std_logic
        );
    END COMPONENT;
    
	 COMPONENT GenerateNotes
	 PORT(
         clk : IN  std_logic;
         note : OUT  integer
			);
    END COMPONENT;

signal note: integer;

begin
   SoundGen: PlayNote PORT MAP (
          clk => clk,
          note => note, 
          audio => audioL
        );

   SoundGen2: PlayNote PORT MAP (
          clk => clk,
          note => note, 
          audio => audioR
        );

	GenNote: GenerateNotes PORT MAP (
			clk => clk,
			note => note
			);
			
	-- audioR <= '0';
	
end Behavioral;

